Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate
Class HibernateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.exception.NestableRuntimeException
                      org.hibernate.HibernateException

All Implemented Interfaces:
  Serializable, Nestable

Direct Known Subclasses:
  BatchFailedException, CacheException, CallbackException, IdentifierGenerationException, InstantiationException, JDBCException, LazyInitializationException, MappingException, NonUniqueObjectException, NonUniqueResultException, PersistentObjectException, PropertyAccessException, PropertyValueException, QueryException, SerializationException, SessionException, StaleStateException, TooManyRowsAffectedException, TransactionException, TransientObjectException, TypeMismatchException, UnresolvableObjectException, ValidationFailure, WrongClassException

    public class HibernateException

extends NestableRuntimeException

Any exception that occurs inside the persistence layer or JDBC driver. `SQLException`s are always wrapped by instances of `JDBCException`.

Author:
  Gavin King
See Also:
  `JDBCException`, Serialized Form

Field Summary

Fields inherited from class org.hibernate.exception.NestableRuntimeException
`delegate`

Constructor Summary
`HibernateException(String s)`
`HibernateException(String string, Throwable root)`
`HibernateException(Throwable root)`

Method Summary

Methods inherited from class org.hibernate.exception.NestableRuntimeException
`getCause, getMessage, getMessage, getMessages, getThrowable, getThrowableCount, getThrowables, indexOfThrowable, indexOfThrowable, printPartialStackTrace, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HibernateException

    public HibernateException(Throwable root)

### HibernateException

    public HibernateException(String string,
                              Throwable root)

### HibernateException

    public HibernateException(String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD